import { defineComponent as f, openBlock as s, createElementBlock as o, normalizeClass as m, createElementVNode as i, renderSlot as h, createCommentVNode as _, createTextVNode as B, toDisplayString as a, ref as V, computed as b, unref as w, withDirectives as y, vModelText as M, Fragment as C, renderList as I, vModelSelect as O, vModelCheckbox as T, vModelRadio as U } from "vue";
const D = ["disabled", "id"], A = { key: 0 }, E = {
  key: 1,
  class: "ui-button__content"
}, F = {
  key: 0,
  class: "ui-button__content-slot"
}, L = { class: "ui-button__text" }, W = {
  key: 1,
  class: "ui-button__content-slot ui-button__content-slot--right"
}, z = /* @__PURE__ */ f({
  __name: "Button",
  props: {
    text: {},
    id: {},
    disabled: { type: Boolean },
    fullWidth: { type: Boolean },
    loading: { type: Boolean }
  },
  emits: ["click"],
  setup(u, { emit: c }) {
    const n = c, d = () => {
      n("click");
    };
    return (t, l) => (s(), o("button", {
      disabled: t.disabled,
      id: t.id,
      class: m([
        "ui-button",
        {
          "ui-button__disabled": t.disabled,
          "ui-button__full-width": t.fullWidth
        }
      ]),
      onClick: d
    }, [
      t.loading ? (s(), o("div", A, l[0] || (l[0] = [
        i("span", null, "Loading ...", -1)
      ]))) : (s(), o("div", E, [
        t.$slots.leftSlot ? (s(), o("span", F, [
          h(t.$slots, "leftSlot", {}, void 0, !0)
        ])) : _("", !0),
        i("span", L, [
          h(t.$slots, "default", {}, () => [
            B(a(t.text), 1)
          ], !0)
        ]),
        t.$slots.rightSlot ? (s(), o("span", W, [
          h(t.$slots, "rightSlot", {}, void 0, !0)
        ])) : _("", !0)
      ]))
    ], 10, D));
  }
}), $ = (u, c) => {
  const n = u.__vccOpts || u;
  for (const [d, t] of c)
    n[d] = t;
  return n;
}, ke = /* @__PURE__ */ $(z, [["__scopeId", "data-v-dfd16da5"]]), R = { class: "ui-input" }, j = { class: "ui-input__container" }, q = {
  key: 0,
  class: "ui-button__content-slot ui-button__content-slot--left"
}, G = ["disabled", "placeholder", "maxlength"], H = {
  key: 1,
  class: "ui-button__content-slot ui-button__content-slot--right"
}, J = {
  key: 0,
  class: "ui-input__bottom"
}, K = { class: "ui-input__hint" }, P = {
  key: 0,
  class: "ui-input__maxlength"
}, Q = {
  key: 1,
  class: "ui-input__error"
}, X = /* @__PURE__ */ f({
  __name: "Input",
  props: {
    model: {},
    text: {},
    placeholder: {},
    id: {},
    disabled: { type: Boolean },
    error: {},
    hint: {},
    maxlength: {}
  },
  emits: ["update:model", "click"],
  setup(u, { emit: c }) {
    const n = u;
    let d = V(!1);
    const t = b(() => n.model ? n.model.length : 0), l = c, p = b({
      get() {
        return n.model;
      },
      set(e) {
        l("update:model", e);
      }
    });
    return (e, v) => (s(), o("div", R, [
      i("div", {
        class: m(["ui-input__text", { "input__text--focus": w(d) }])
      }, a(e.text), 3),
      i("div", j, [
        e.$slots.leftSlot ? (s(), o("div", q, [
          h(e.$slots, "leftSlot", {}, void 0, !0)
        ])) : _("", !0),
        y(i("input", {
          "onUpdate:modelValue": v[0] || (v[0] = (g) => p.value = g),
          class: m(["ui-input__field", { "ui-input__field--error": e.error }]),
          disabled: e.disabled,
          placeholder: e.placeholder,
          type: "text",
          maxlength: e.maxlength
        }, null, 10, G), [
          [M, p.value]
        ]),
        e.$slots.rightSlot ? (s(), o("div", H, [
          h(e.$slots, "rightSlot", {}, void 0, !0)
        ])) : _("", !0)
      ]),
      e.maxlength || e.hint ? (s(), o("div", J, [
        i("span", K, a(e.hint), 1),
        e.maxlength ? (s(), o("span", P, a(t.value) + "/" + a(e.maxlength), 1)) : _("", !0)
      ])) : _("", !0),
      e.error ? (s(), o("div", Q, a(e.error), 1)) : _("", !0)
    ]));
  }
}), fe = /* @__PURE__ */ $(X, [["__scopeId", "data-v-097aaa17"]]), Y = { class: "ui-select" }, Z = { class: "ui-select__label" }, x = { class: "ui-select__container" }, ee = ["disabled"], te = {
  key: 0,
  disabled: "",
  selected: "",
  value: ""
}, se = ["value", "disabled"], oe = {
  key: 0,
  class: "ui-select__error"
}, le = {
  key: 1,
  class: "ui-select__hint"
}, ie = /* @__PURE__ */ f({
  __name: "Select",
  props: {
    model: {},
    width: {},
    label: {},
    notSelected: {},
    hideNotSelect: { type: Boolean },
    options: {},
    disabled: { type: Boolean },
    error: {},
    hint: {}
  },
  emits: ["update:model", "click"],
  setup(u, { emit: c }) {
    let n = V(!1);
    const d = u, t = b(() => d.notSelected ? d.notSelected : "не указан"), l = b(() => Array.isArray(d.options) ? !!d.options.length : !1), p = c, e = b({
      get() {
        return d.model;
      },
      set(r) {
        p("update:model", r);
      }
    }), v = () => n.value = !0, g = () => n.value = !1;
    return (r, S) => (s(), o("div", Y, [
      i("div", Z, a(r.label), 1),
      i("div", x, [
        y(i("select", {
          "onUpdate:modelValue": S[0] || (S[0] = (k) => e.value = k),
          onFocus: v,
          onBlur: g,
          disabled: r.disabled,
          class: m([
            "ui-select__field",
            {
              "ui-select__field--not-selected": !e.value,
              "ui-select__field--error": r.error
            }
          ])
        }, [
          !e.value && !r.hideNotSelect ? (s(), o("option", te, a(t.value), 1)) : _("", !0),
          l.value ? (s(!0), o(C, { key: 1 }, I(r.options, (k, N) => (s(), o("option", {
            key: N,
            value: k.value,
            disabled: k.disabled
          }, a(k.label), 9, se))), 128)) : _("", !0)
        ], 42, ee), [
          [O, e.value]
        ]),
        i("div", {
          class: m(["ui-select__icon", w(n) ? "select__icon--arrow-up" : "select__icon--arrow-down"])
        }, null, 2)
      ]),
      r.error ? (s(), o("div", oe, a(r.error), 1)) : _("", !0),
      r.hint ? (s(), o("div", le, a(r.hint), 1)) : _("", !0)
    ]));
  }
}), $e = /* @__PURE__ */ $(ie, [["__scopeId", "data-v-fe3a36a2"]]), ne = { class: "ui-checkbox" }, de = { class: "ui-checkbox__label" }, ae = { class: "ui-checkbox__slot" }, ue = ["disabled"], ce = /* @__PURE__ */ f({
  __name: "Checkbox",
  props: {
    check: {},
    disabled: {},
    label: {}
  },
  emits: ["update:check"],
  setup(u, { emit: c }) {
    const n = u, d = c, t = b({
      get() {
        return n.check;
      },
      set(l) {
        d("update:check", l);
      }
    });
    return (l, p) => (s(), o("div", ne, [
      i("label", de, [
        i("span", ae, [
          B(a(l.label) + " ", 1),
          h(l.$slots, "default", {}, void 0, !0)
        ]),
        y(i("input", {
          type: "checkbox",
          disabled: !!l.disabled,
          "onUpdate:modelValue": p[0] || (p[0] = (e) => t.value = e),
          class: "ui-checkbox__input"
        }, null, 8, ue), [
          [T, t.value]
        ]),
        i("span", {
          class: m(["ui-checkbox__checkmark ", { "ui-checkbox__checkmark_disabled": l.disabled }])
        }, null, 2)
      ])
    ]));
  }
}), ye = /* @__PURE__ */ $(ce, [["__scopeId", "data-v-d307a83d"]]), re = { class: "ui-tabs" }, _e = { class: "ui-tabs__header" }, pe = ["value", "disabled"], he = { class: "ui-tabs__label" }, be = { class: "ui-tabs__content" }, me = /* @__PURE__ */ f({
  __name: "Tabs",
  props: {
    picked: {},
    items: {}
  },
  emits: ["update:picked"],
  setup(u, { emit: c }) {
    const n = u, d = c, t = b({
      get() {
        return n.picked;
      },
      set(l) {
        d("update:picked", l);
      }
    });
    return (l, p) => (s(), o("div", re, [
      i("div", _e, [
        (s(!0), o(C, null, I(l.items, (e) => (s(), o("label", {
          key: e.id,
          class: m(["ui-tabs__tab", { "ui-tabs__tab--active": e.id === t.value }])
        }, [
          y(i("input", {
            "onUpdate:modelValue": p[0] || (p[0] = (v) => t.value = v),
            type: "radio",
            value: e.id,
            disabled: e.disabled,
            class: "ui-tabs__input"
          }, null, 8, pe), [
            [U, t.value]
          ]),
          i("span", he, a(e.label), 1)
        ], 2))), 128))
      ]),
      i("div", be, [
        h(l.$slots, "default", {}, void 0, !0)
      ])
    ]));
  }
}), ge = /* @__PURE__ */ $(me, [["__scopeId", "data-v-11c57f7b"]]);
export {
  ke as Button,
  ye as Checkbox,
  fe as Input,
  $e as Select,
  ge as Tabs
};
